﻿using System;
using System.Configuration;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Diagnostics;

namespace CSSamples
{
    public partial class UseDraggableMarkers : System.Web.UI.Page
    {
        public static PointShape point_marker = new PointShape();

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);
                Map1.MapTools.PanZoomBar.Enabled = true;
                Map1.MapTools.MouseCoordinate.Enabled = true;
                Map1.MapUnit = GeographyUnit.Meter;

                SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay("MarkerOverlay");
                markerOverlay.DragMode = MarkerDragMode.Drag;
                markerOverlay.MarkerDragged += new EventHandler<MarkerDraggedEventArgs>(markerOverlay_MarkerDragged);
                markerOverlay.Markers.Add(new Marker(-8922952.93266, 2984101.58384, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-10830821.09801, 4539747.98328, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-12454955.13517, 4980025.26614, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-10772117.52067, 3864656.14956, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-13164290.75755, 4035875.09290, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-9754587.80028, 5156136.17929, new WebImage(21, 25, -10.5f, -25f)));

                Map1.CustomOverlays.Add(markerOverlay);
            }
        }

        protected void Button2_Click(object sender, EventArgs e)
        {

            Map1.CustomOverlays.Clear();

            PointShape point = Map1.CurrentExtent.GetCenterPoint();

            point_marker = point;

            //Map1.CurrentExtent = new RectangleShape(x_coor - 0.001, y_coor + 0.001, x_coor + 0.001, y_coor - 0.001);

            SimpleMarkerOverlay markerOverlay1 = new SimpleMarkerOverlay("MarkerOverlay");

            markerOverlay1.DragMode = MarkerDragMode.Drag;

            markerOverlay1.Markers.Add(new Marker(point.X, point.Y, new WebImage(21, 25, -10.5f, -25f)));

            markerOverlay1.MarkerDragged += new EventHandler<MarkerDraggedEventArgs>(markerOverlay1_MarkerDragged);

            Map1.CustomOverlays.Add(markerOverlay1);

        }

        public void markerOverlay1_MarkerDragged(object sender, MarkerDraggedEventArgs e)
        {
            point_marker.X = e.MarkerPosition.X;

            point_marker.Y = e.MarkerPosition.Y;

            Debug.WriteLine("Point");
            Debug.WriteLine(point_marker.X);
            Debug.WriteLine(point_marker.Y);
        }



        void markerOverlay_MarkerDragged(object sender, MarkerDraggedEventArgs e)
        {
           
        }
    }
}
